package com.ruoyi.system.domain.projectV2;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.xml.crypto.Data;
import java.util.Date;
import java.util.List;

/**
 * 招商引资_审核意见对象 zsyz_shyj
 * 
 * @author 博曼
 * @date 2023-02-22
 */
public class ZsyzShyj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long xmId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String xmbh;
    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String xmmc;

    /** 审核人id */
    @Excel(name = "审核人id 部门id")
    private Long deptId;

    /** 审核人姓名 */
    @Excel(name = "审核人姓名 部门名称")
    private String shrxm;

    /** 项目阶段 */
    @Excel(name = "项目阶段")
    private String xmjd;

    /** 审核结果（是否通过  1：待审核，2：通过 3:不通过) */
    @Excel(name = "审核结果", readConverterExp = "1=待审核,2=通过,3=不通过")
    private String shjg;

    /** 审核意见 */
    @Excel(name = "审核意见")
    private String shyj;

    /** 审核时间 */
    @Excel(name = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date shsj;

    /**
     * 审核意见列表
     */
    private List<ZsyzLdps> zsyzLdpsList;


    public String getXmmc() {
        return xmmc;
    }

    public void setXmmc(String xmmc) {
        this.xmmc = xmmc;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public void setShrxm(String shrxm)
    {
        this.shrxm = shrxm;
    }

    public String getShrxm() 
    {
        return shrxm;
    }
    public void setXmjd(String xmjd) 
    {
        this.xmjd = xmjd;
    }

    public String getXmjd() 
    {
        return xmjd;
    }
    public void setShjg(String shjg) 
    {
        this.shjg = shjg;
    }

    public String getShjg() 
    {
        return shjg;
    }
    public void setShyj(String shyj) 
    {
        this.shyj = shyj;
    }

    public String getShyj() 
    {
        return shyj;
    }

    public Date getShsj() {
        return shsj;
    }

    public void setShsj(Date shsj) {
        this.shsj = shsj;
    }

    public List<ZsyzLdps> getZsyzLdpsList() {
        return zsyzLdpsList;
    }

    public void setZsyzLdpsList(List<ZsyzLdps> zsyzLdpsList) {
        this.zsyzLdpsList = zsyzLdpsList;
    }

    @Override
    public String toString() {
        return "ZsyzShyj{" +
                "id=" + id +
                ", xmId=" + xmId +
                ", xmbh='" + xmbh + '\'' +
                ", xmmc='" + xmmc + '\'' +
                ", deptId=" + deptId +
                ", shrxm='" + shrxm + '\'' +
                ", xmjd='" + xmjd + '\'' +
                ", shjg='" + shjg + '\'' +
                ", shyj='" + shyj + '\'' +
                ", shsj=" + shsj +
                '}';
    }
}
